% Oil data

load('ISOVG32_Prop.mat')
T_vect=ISO32.bulk(:,1);                                                    % [C]
beta_nom_vect=ISO32.bulk(:,2);                                             % Nominal Bulk module vector [Pa]
rho_vect=ISO32.ro_v(:,2);                                                  % Oil density vector [kg/m^3]
visc_vect=ISO32.visc(:,2);                                                 % Kinematic viscosity vector [m^2/s]                                           
% T_index=find(T_vect<=T_oil);                                               % Temperature linear interpolation
% T_index=max(T_index);
% beta_nom=beta_nom_vect(T_index)*T_oil/T_vect(T_index);                     % Nominal Bulk module [Pa]
beta_nom=0.1686*T_oil^4-132.9*T_oil^3+5.119e4*T_oil^2-1.326e7*T_oil+1.903e9;
% rho=rho_vect(T_index)*T_oil/T_vect(T_index);                               % Density [kg/m^3]
rho=-0.64*T_oil+882.8;
% mi=visc_vect(T_index)*T_oil/T_vect(T_index);                               % Kinematic viscosity [m^2/s]
mi=7.501e-5*exp(-0.1403*T_oil)+3.363e-5*exp(0.001074*T_oil);
mi=mi*rho;                                                                 % Dynamic viscosity [Pa*s]
 
clear T_vect beta_nom_vect rho_vect visc_vet 